/*------------------------------------------------------------------------
 * filename - asmrules.h
 *
 *-----------------------------------------------------------------------*/

#pragma inline
#pragma warn -asm

#define GET_DEFAULT_DRIVE			19h	
#define SET_DEFAULT_DRIVE                       0Eh
#define	READ_FILE				3Fh
#define	SHORT_SET_CURRENT_DIRECTORY		3Bh
#define	WRITE_FILE				40h
#define	CLOSE_FILE				3Eh
#define	LSEEK					42h
#define	W95_GET_COMPRESSED_FILE_SIZE 		4302h
#define	GET_SET_DISK_SERIALNUMBER		69h
#define	GET_LAST_WRITE_DATE			5700H
#define	SET_LAST_WRITE_DATE			5701H
#define	GET_LAST_ACCESS_DATE			5704H
#define	SET_LAST_ACCESS_DATE			5705H
#define	GET_CREATION_DATE			5706H
#define	SET_CREATION_DATE			5707H

#define LONG_RESET_DRIVE			710Dh
#define LONG_CREATE_DIRECTORY                   7139h
#define LONG_REMOVE_DIRECTORY                   713Ah
#define LONG_SET_CURRENT_DIRECTORY              713Bh
#define LONG_DELETE_FILE                        7141h
#define LONG_GET_SET_FILE_ATTR                  7143h
#define LONG_GET_CURRENT_DIRECTORY              7147h
#define LONG_FIND_FIRST                         714Eh
#define LONG_FIND_NEXT                          714Fh
#define LONG_RENAME_FILE                        7156h
#define LONG_TRUENAME                           7160h
#define LONG_CREATE_FILE                        716Ch
#define LONG_GET_VOLUME_INFORMATION             71A0h
#define LONG_FIND_CLOSE                		71A1h
#define LONG_FIND_NEXT_EXT                      71A2h
#define LONG_GET_FILE_INFORMATION               71A6h
#define LONG_CONVERT_TIME    	                71A7h
#define LONG_GENERATE_SHORT_NAME                71A8h
#define LONG_SERVER_CREATE_FILE                 71A9h
#define LONG_HANDLE_SUBST                       71AAh

#define LFNSRV_API				7171h
#define LFNSRV_GET_LOADER_INFO			0001h
#define LFNSRV_GET_USER_INFO			0002h
#define	LOADER_MAGIC_VALUE		4321h	

#if defined(__LARGE__) || defined(__HUGE__) || defined(__COMPACT__)
#define  LES_  LES
#define  LDS_  LDS
#else
#define  LES_  mov
#define  LDS_  mov
#endif

