#pragma inline
#include "lfn.h"
#include "asmrules.h"

HFILE	create_file(
		const char * name, 
		WORD mode,
		WORD attributes, 
		WORD * action, 
		WORD alias_hint)
{
	WORD	code;
	HFILE	handle;
asm	push 	ds
asm	push 	di
asm	push 	si
asm	stc
asm	mov 	ax, LONG_CREATE_FILE
asm	mov 	bx, [mode]
asm	mov 	cx, [attributes]
asm	LDS_	si, [action]		
asm	mov	dx, [si]
asm	LDS_	si, name      	
asm	mov 	di, [alias_hint]
asm	int 	21h
asm	LDS_	si, [action]		
asm	mov	[si], cx
asm	pop 	si
asm	pop 	di
asm	pop 	ds
asm	jc 	error
asm	mov 	[handle], ax
asm	xor 	ax, ax
error:
asm	mov 	[code], ax
        error_code("create file", code);
	return handle;
}
