#pragma inline
#include "lfn.h"
#include "asmrules.h"

void	get_volume_information(
		const char *rootname,
		char * buffer, 
		WORD bufsize, 
		struct volinfo *v)
{
	WORD	code;
asm	push	ds
asm	push 	si
asm	push 	di
asm	stc
asm	mov 	ax, LONG_GET_VOLUME_INFORMATION
asm	mov 	cx, [bufsize]
asm	LDS_	dx, rootname
asm	LES_	di, buffer      	
asm	int 	21h
asm	pop 	di
asm	jc 	error
asm	LDS_	si, [v]
asm	mov 	[si].volflags, bx
asm	mov 	[si].filename_maxlen, cx
asm	mov 	[si].pathname_naxlen, dx
asm	xor 	ax, ax
error:
asm	pop 	si
asm	pop 	ds
asm	mov 	[code], ax
        error_code("get volume information", code);
	return;
}
