#pragma inline
#include "lfn.h"
#include "asmrules.h"

void	convert_time(
		struct datetime *dt, 
		FILETIME *filedatetime, 
		BYTE action)
{
	WORD	code;
asm	push	ds
asm	push 	si
asm	push	di
asm	stc
asm	mov 	ax, LONG_CONVERT_TIME
asm	mov 	bl, [action]
asm	cmp	bl, LONG_CONVERT_TIME_TO_DOS  		
asm	jne	_1	
asm	LDS_ 	si, filedatetime      	
asm	jmp	_2
_1:
asm	cmp	bl, LONG_CONVERT_TIME_FROM_DOS              
asm	jne	_2
asm	LDS_	si, [dt]
asm	mov 	dx, [si].d
asm	mov 	cx, [si].t		
asm	mov 	bh, [si].milisecs	
asm	LES_ 	di, filedatetime 
_2:
asm	int 	21h
asm	jc 	error
asm	cmp	bl, LONG_CONVERT_TIME_TO_DOS  		
asm	jne	_11
asm	LDS_	si, [dt]
asm	mov 	[si].d, dx		
asm	mov 	[si].t, cx		
asm	mov 	[si].milisecs, bh		
asm	jmp	_12
_11:
asm	cmp	bl, LONG_CONVERT_TIME_FROM_DOS
asm	nop
_12:
asm	xor 	ax, ax
error:
asm	pop	di
asm	pop 	si	
asm	pop	ds
asm	mov 	[code], ax
        error_code("convert time", code);
	return;
}
