#include <stdio.h>
#include <dos.h>
#include "lfn.h"

int main()
{
  FILE *stream;
  unsigned date, time;
  if ((stream = fopen("TEST.$$$", "w")) == NULL)
  {
    fprintf(stderr, "Cannot open output file.\n");
    return 1;
  }
  _dos_getftime(fileno(stream), &date, &time);
  printf("File year of TEST.$$$: %d\n",((date >> 9) & 0x7f) + 1980);

	printf("seconds %u\n",	GET_TIME_SECONDS(time));
	printf("minutes %u\n",	GET_TIME_MINUTES(time));
	printf("hours   %u\n",	GET_TIME_HOURS(time));
	printf("day     %u\n",	GET_DATE_DAY(date));
	printf("month   %u\n",	GET_DATE_MONTH(date));
	printf("year    %u\n",	GET_DATE_YEAR(date));
//	printf("milsecs %u\n",  GET_MILISECS(dt));    

  date = (date & 0x1ff) | (21 << 9);
  _dos_setftime(fileno(stream), date, time);
  printf("Set file year to 2001.\n");
  _dos_getftime(fileno(stream), &date, &time);
  printf("File year of TEST.$$$: %d\n",((date >> 9) & 0x7f) + 1980);

	printf("seconds %u\n",	GET_TIME_SECONDS(time));
	printf("minutes %u\n",	GET_TIME_MINUTES(time));
	printf("hours   %u\n",	GET_TIME_HOURS(time));
	printf("day     %u\n",	GET_DATE_DAY(date));
	printf("month   %u\n",	GET_DATE_MONTH(date));
	printf("year    %u\n",	GET_DATE_YEAR(date));
//	printf("milsecs %u\n",  GET_MILISECS(dt));    

  fclose(stream);
  return 0;
}

