/* get volume information*/
#include "lfn.h"
#include <stdio.h>
#include <string.h>

/*#define DEBUG*/
#define	ROOT_NAME		"C:\\"
int main()
{
	char 		buf[64];
	int 		bufsize = sizeof buf;
	struct volinfo 	v;
	WORD		flags;

	memset(buf, 0, bufsize);
	memset(&v,  0, sizeof v);

	__lfnerrno = 0;
	get_volume_information(ROOT_NAME,buf, bufsize, &v);
	if (__lfnerrno !=0)
		return 1;
	puts("------ Volume characteristics -------");
	printf("name		     %s\n",buf);
	flags = (*(WORD *)&v.volflags);
	printf("Flags = %u\n" ,flags);
	printf("case sensitive:      %s\n", (flags & FS_CASE_SENSITIVE    )?"Yes":"No");	
	printf("case_preserved:      %s\n", (flags & FS_CASE_IS_PRESERVED )?"Yes":"No");		
	printf("uses_unicode:        %s\n", (flags & FS_UNICODE_ON_DISK   )?"Yes":"No");		
	printf("lfndos_supported:    %s\n", (flags & FS_LFN_APIS          )?"Yes":"No");		
	printf("volume_compressed:   %s\n", (flags & FS_VOLUME_COMPRESSED )?"Yes":"No");		
                                             
	printf("max filename length: %d\n",v.filename_maxlen);
	printf("max pathname length: %d\n",v.pathname_naxlen);
	return 0;
}

