/* truename */

#include "lfn.h"
#include <stdio.h>

void test(char * dirname)
{
	char buf[260];
	buf[0] = '\0';
	printf("Testing '%s'\n",dirname);
	truename(dirname, buf, LONG_TRUENAME_CLASS_CANONICAL , LONG_TRUENAME_NO_SUBST);
	if (__lfnerrno == 0)
		puts(buf);
	truename(dirname, buf, LONG_TRUENAME_CLASS_CANONICAL , LONG_TRUENAME_SUBST);
	if (__lfnerrno == 0)
		puts(buf);
	truename(dirname, buf, LONG_TRUENAME_CLASS_SHORT, LONG_TRUENAME_NO_SUBST);
	if (__lfnerrno == 0)
		puts(buf);
	truename(dirname, buf, LONG_TRUENAME_CLASS_SHORT, LONG_TRUENAME_SUBST);
	if (__lfnerrno == 0)
		puts(buf);
	truename(dirname, buf, LONG_TRUENAME_CLASS_LONG, LONG_TRUENAME_NO_SUBST);
	if (__lfnerrno == 0)
		puts(buf);
	truename(dirname, buf, LONG_TRUENAME_CLASS_LONG, LONG_TRUENAME_SUBST);
	if (__lfnerrno == 0)
		puts(buf);
}

int main()
{
	test("\\");
	test("\\.");
	test("\\.\\");
	test("\\.\\.");
	test("\\a");
	test("\\a\\");
	test("\\a\\.");
	test("\\b");

	test("c:\\");
	test("c:\\.");
	test("c:\\.\\");
	test("c:\\.\\.");
	test("c:\\a");
	test("c:\\a\\");
	test("c:\\a\\.");
	test("c:\\b");

	test("c:\\.");
	test("k:\\.");
	return 0;
}

